## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeAttributeNSAllocator Class Reference

`#include <XalanSourceTreeAttributeNSAllocator.hpp>`

Collaboration diagram for XalanSourceTreeAttributeNSAllocator:

[legend]
List of all members.

## Public Types

- typedef XalanSourceTreeAttrNS ObjectType
- typedef ObjectType::IndexType IndexType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XalanSourceTreeAttributeNSAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XalanSourceTreeAttributeNSAllocator ()
- ObjectType* create (const XalanDOMString &theName, const XalanDOMString &theLocalName, const XalanDOMString &theNamespaceURI, const XalanDOMString &thePrefix, const XalanDOMString &theValue, XalanSourceTreeElement *theOwnerElement=0, IndexType theIndex=0)
    Create an instance. More...
- void reset ()
    Delete all objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator< ObjectType > XalanSourceTreeAttributeNSAllocator::ArenaAllocatorType<ObjectType>

typedef ObjectType::IndexType XalanSourceTreeAttributeNSAllocator::IndexType

typedef XalanSourceTreeAttrNS XalanSourceTreeAttributeNSAllocator::ObjectType

typedef ArenaAllocatorType::size_type XalanSourceTreeAttributeNSAllocator::size_type

## Constructor & Destructor Documentation

XalanSourceTreeAttributeNSAllocator::XalanSourceTreeAttributeNSAllocator ( | MemoryManagerType & theManager,
| size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanSourceTreeAttributeNSAllocator::~XalanSourceTreeAttributeNSAllocator ( | )

## Member Function Documentation

ObjectType * XalanSourceTreeAttributeNSAllocator::create ( | const XalanDOMString & theName,
| const XalanDOMString & theLocalName,
| const XalanDOMString & theNamespaceURI,
| const XalanDOMString & thePrefix,
| const XalanDOMString & theValue,
| XalanSourceTreeElement * theOwnerElement = 0,
| IndexType theIndex = 0 )

Create an instance.

Parameters:

  theName | The name of the attribute
  theLocalName | The local name of the attribute
  theNamespaceURI | The namespace URI of the attribute
  thePrefix | The namespace prefix of the attribute
  theValue | The value of the attribute
  theOwnerElement | The element that owns the instance
  theIndex | The document-order index of the node.

Returns:
  pointer to the instance

size_type XalanSourceTreeAttributeNSAllocator::getBlockCount ( | ) const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XalanSourceTreeAttributeNSAllocator::getBlockSize ( | ) const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XalanSourceTreeAttributeNSAllocator::reset ( | )

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XalanSourceTreeAttributeNSAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.